#ifndef GRILLE_H_INCLUDED
#define GRILLE_H_INCLUDED

#define X_BLOCK_SIZE 20
#define Y_BLOCK_SIZE 10

typedef enum jeton {
	VIDE = 0,
	BLEU = 1,
	ROUGE = 2
} jeton;

typedef struct colonne {
	int hauteur;
	int capacite;
	jeton* jetons;
} colonne;

typedef struct grille {
	int n_positifs;
	colonne **positifs;
	int n_negatifs;
	colonne **negatifs;
} grille;


grille *creer_grille(int largeur);

colonne *get_colonne(int i, grille *g);

jeton get_case(int x, int y, grille *g);

bool ajouter_jeton(jeton j, int x, grille *g);

void detruire_grille(grille *g);

#endif /* GRILLE_H_INCLUDED */
